---------------------------
-- Default awesome theme --
---------------------------


local bar = require("theme.bar")
local clients = require("theme.clients")
local assets = require("assets")
local notifications = require("theme.notifications")

local theme = {}
theme.dpi = beautiful.xresources.apply_dpi
theme.color = require("theme.color")

-- Execute overrides
-- `assets` override MUST be first!
local theme = assets(theme)
local theme = bar(theme)
local theme = clients(theme)
local theme = notifications(theme)

theme.font = config.core.font.normal

theme.wallpaper = config.core.wallpaper

theme.bg_normal = theme.color.lblack
theme.bg_focus = theme.color.black
theme.bg_urgent = theme.color.red1
theme.bg_minimize = "#444444"
theme.bg_systray = theme.color.bar.color

theme.fg_focus = theme.color.white
theme.fg_normal = theme.color.white .. "AA"
theme.fg_urgent = theme.color.white
theme.fg_minimize = theme.color.white

theme.useless_gap = theme.dpi(0)
theme.border_width = theme.dpi(0)
theme.border_normal = theme.color.black
theme.border_focus = theme.color.dgrey
theme.border_marked = theme.color.red


-- Additional variable sets:
-- tooltip_[font|opacity|fg_color|bg_color|border_width|border_color]
-- mouse_finder_[color|timeout|animate_timeout|radius|factor]

-- Menu theming
theme.menu_bg_focus = theme.color.lblack
theme.menu_bg_normal = theme.color.lblack
theme.menu_fg_focus = theme.color.white
theme.menu_fg_normal = theme.color.white

theme.menu_border_color = theme.color.lblack
theme.menu_border_width = theme.dpi(0)

theme.menu_width = theme.dpi(120)
theme.menu_height = theme.dpi(15)

return theme
